﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;
// Husk at tilføj System.Runtime.Remoting i "References"
using System.Runtime.Remoting.Channels.Http;
using System.Runtime.Remoting.Channels;
using MathLibrary;

namespace MathCAOServer {
    class Program {
        static void Main(string[] args) {
            // Registrering af channel, dvs. valg af protocol og port
            ChannelServices.RegisterChannel(new HttpChannel(20001), false);
            // Serverregistrering af CAO
            RemotingConfiguration.RegisterActivatedServiceType(typeof(SimpleMath));
            Console.WriteLine("Serveren er startet! Tryk <ENTER> for at afslutte!");
            Console.ReadLine();
        }
    }
}
