﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;
using MathLibrary;

namespace MathKlient {
    class Program {
        static void Main(string[] args) {
            // Klientregistrering af SAO vha. RegisterWellKnownClientType(type, url)
            RemotingConfiguration.RegisterWellKnownClientType(typeof(SimpleMath), "http://localhost:20001/SimpleMath.soap");
            // Server-side instantiering vha. "new"
            SimpleMath math = new SimpleMath();
            
            /*
             * // Server-side instantiering vha. Activator.GetObject(type, url
             * // til erstatning af "new"
            ISimpleMath math = (ISimpleMath)(Activator.GetObject(typeof(ISimpleMath), "http://localhost:20001/SimpleMath.soap"));
             * // Bemærk, at der her kun kræves kendskab til interfacet
            */
            
            Console.WriteLine("34 + 58 = {0}", math.Add(34, 58));
            Console.WriteLine("34 - 58 = {0}", math.Sub(34, 58));
            Console.WriteLine("Count = {0}", math.Count);
            Console.ReadLine();
        }
    }
}
