using System;
using System.Collections.Generic;
using System.Text;

namespace MathLibrary {
    public class SimpleMath : MarshalByRefObject, ISimpleMath {
        private static int classCount = 0;
        private int instanceCount;
        public SimpleMath() {
            this.instanceCount = ++SimpleMath.classCount;
            Console.WriteLine("[{0}] SimpleMath-konstruktr - {1}", this.instanceCount, AppDomain.CurrentDomain.FriendlyName);
        }
        public int Add(int a, int b) {
            return a + b;
        }
        public int Sub(int a, int b) {
            return a - b;
        }
        public int Count { get { return this.instanceCount; } }
    }
}
