﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting;
using MathLibrary;

namespace MathCAOKlient {
    class Program {
        static void Main(string[] args) {
            // Klientregistrering af et CAO vha. RegisterActivatedClientType(type, url)
            RemotingConfiguration.RegisterActivatedClientType(typeof(SimpleMath), "http://localhost:20001");
            // Server-side instantiering vha. "new"
            ISimpleMath math = new SimpleMath();
            Console.WriteLine("34 + 58 = {0}", math.Add(34, 58));
            Console.WriteLine("34 - 58 = {0}", math.Sub(34, 58));
            Console.WriteLine("Count = {0}", math.Count);
            Console.WriteLine("33 + 21 = {0}", math.Add(33, 21));
            Console.WriteLine("33 - 21 = {0}", math.Sub(33, 21));
            Console.WriteLine("Count = {0}", math.Count);
            Console.ReadLine();
        }
    }
}
