﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Remoting.Channels;
// Husk at tilføje System.Runtime.Remoting til referencer
using System.Runtime.Remoting.Channels.Http;
using System.Runtime.Remoting;
using MathLibrary;

namespace MathServer {
    class Program {
        static void Main(string[] args) {
            // Registrering af channel, dvs. valg af protocol og port
            ChannelServices.RegisterChannel(new HttpChannel(20001), false);
            // Serverregistrering af SAO vha. RegisterWellKnownServiceType(type, alias, mode)
            // Mode kan være enten "Singleton" - ét object til alle klienter
            // eller "SingleCall" - ét object pr. klient pr. metodekald (stateless)
            RemotingConfiguration.RegisterWellKnownServiceType(typeof(SimpleMath), "SimpleMath.soap", WellKnownObjectMode.SingleCall);
            Console.WriteLine("Serveren er startet! Tryk <ENTER> for at afslutte!");
            Console.ReadLine();
        }
    }
}
