﻿using System;
using System.Collections.Generic;
using System.Text;
using MathLibrary;

namespace WebMathKlient {
    class Program {
        static void Main(string[] args) {
            // Udtræk af et SAO vha. Activator(type, url)
            ISimpleMath math = (ISimpleMath)(Activator.GetObject(typeof(MathLibrary.ISimpleMath), "http://localhost/MathWeb/SimpleMath.rem"));
            // Bemærk, at der kun kræves kendskab til interfacet
            Console.WriteLine("34 + 58 = {0}", math.Add(34, 58));
            Console.WriteLine("34 - 58 = {0}", math.Sub(34, 58));
            Console.WriteLine("Count = {0}", math.Count);
            Console.ReadLine();
        }
    }
}
